edu.msu.cme.rdp.unifrac

## Class UnifracTaxon

- java.lang.Object
- - edu.msu.cme.rdp.taxatree.Node
  - - edu.msu.cme.rdp.taxatree.Taxon
    - - edu.msu.cme.rdp.multicompare.taxon.MCTaxon
      - - edu.msu.cme.rdp.unifrac.UnifracTaxon

    public class UnifracTaxon
    extends MCTaxon

### Field Summary

### Fields inherited from class edu.msu.cme.rdp.multicompare.taxon.MCTaxon

`Count_Array_size, sampleCountMap`

### Fields inherited from class edu.msu.cme.rdp.taxatree.Taxon

`ROOT_TAXON`

### Fields inherited from class edu.msu.cme.rdp.taxatree.Node

`taxid`

### Constructor Summary

Constructors
Constructor and Description
`UnifracTaxon(int taxid, java.lang.String name, java.lang.String rank, float bl)`
`UnifracTaxon(int taxid, java.lang.String name, java.lang.String rank, float bl, boolean unclassified)`
`UnifracTaxon(MCTaxon taxon, float bl)`

### Method Summary

Methods
`void` `addSampleCount(MCSample sample, double count)`
`boolean` `containsSample(MCSample sample)`
`float` `getBl()`
`void` `resetSamples()`
`void` `resetSamples(java.util.List<UnifracTreeBuilder.UnifracSample> samplePool)`
`void` `setSampleCount(MCSample sample, double count)`

### Methods inherited from class edu.msu.cme.rdp.multicompare.taxon.MCTaxon

`addSequence, getCopyCorrectedCount, getCount, getLineage, getSamples, getSequences, incCount, incCount, setLineage`

### Methods inherited from class edu.msu.cme.rdp.taxatree.Taxon

`getName, getRank, getTaxid, getUnclassifiedId, isUnclassified`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnifracTaxon

    public UnifracTaxon(int taxid,
                java.lang.String name,
                java.lang.String rank,
                float bl)

#### UnifracTaxon

    public UnifracTaxon(int taxid,
                java.lang.String name,
                java.lang.String rank,
                float bl,
                boolean unclassified)

#### UnifracTaxon

    public UnifracTaxon(MCTaxon taxon,
                float bl)

### Method Detail

#### getBl

    public float getBl()

#### containsSample

    public boolean containsSample(MCSample sample)

#### resetSamples

    public void resetSamples()

#### setSampleCount

    public void setSampleCount(MCSample sample,
                      double count)

#### addSampleCount

    public void addSampleCount(MCSample sample,
                      double count)

#### resetSamples

    public void resetSamples(java.util.List<UnifracTreeBuilder.UnifracSample> samplePool)